.footer {
    background-color: $black;
    color: $white;
    padding-top: 50px;
    padding-bottom: 125px;

    @media (max-width: 768px) {
        padding-bottom: 100px;
    }

    @media (max-width: 576px) {
        padding-top: 40px;
        padding-bottom: 80px;
    }

    .footer__list {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(310px, 1fr));
        gap: 30px; 

        @media (max-width: 1280px) {
            grid-template-columns: repeat(auto-fill, minmax(280px, 1fr));
        }

        @media (max-width: 1024px) {
            grid-template-columns: repeat(auto-fill, minmax(210px, 1fr));
        }

        @media (max-width: 768px) {
            gap: 50px;
        }

        @media (max-width: 576px) {
            grid-template-columns: repeat(auto-fill,minmax(250px,1fr));
            text-align: center;
            gap: 30px; 
        }

        .footer__item {
            display: flex;
            flex-direction: column;
            
            .footer__title {
                @include footerTitle;
            }

            .footer__link {
                @include footerLink;
            }

            .social-links {
                display: flex;
                gap: 25px;

                @media (max-width: 576px) {
                    justify-content: center;
                }
            }

            @media (min-width: 577px) and (max-width: 768px) {
                &:last-child {
                    flex-direction: inherit;
                    justify-content: space-between;
                    grid-column: -3/-1;
                }
            }
        }
    }
}

